%define upstream_name	 Catalyst-Plugin-XMLRPC
%define upstream_version 2.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:	Dispatch XMLRPC methods with Catalyst
License:	Artistic/GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires:	perl(Catalyst)
BuildRequires:	perl(Class::Data::Inheritable)
BuildRequires:	perl(RPC::XML)

BuildArch:	noarch


%description
This plugin allows your controller class to dispatch XMLRPC methods
from its own class.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

%clean 
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/Catalyst

%changelog
* Wed Jan 26 2011 jquelin <jquelin> 2.10.0-1.mga1
+ Revision: 40317
- mageia rebuild
- imported package perl-Catalyst-Plugin-XMLRPC

